Bug 193544 - [PATCH] games/fairymax: update to latest version 4.8T (2014-09-08)
Summary: [PATCH] games/fairymax: update to latest version 4.8T (2014-09-08)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-10 21:04 UTC by Kalten
Modified: 2014-09-20 16:51 UTC (History)
2 users (show)

See Also:


Attachments
patch-fairymax_r352971 (4.8S.6) to 4.8T (2.42 KB, patch)
2014-09-10 21:04 UTC, Kalten
no flags Details | Diff
log: make.* output (3.53 KB, text/plain)
2014-09-10 21:06 UTC, Kalten
no flags Details
log: poudriere testport output (12.30 KB, text/plain)
2014-09-10 21:07 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2014-09-10 21:04:48 UTC
Created attachment 147199 [details]
patch-fairymax_r352971 (4.8S.6) to 4.8T

H.G.Muller has released a new version 4.8T two days ago
http://hgm.nubati.net/cgi-bin/gitweb.cgi/fairymax.git

* This attachment brings the new version into our portstree.
* DOCS option added

(make and poudriere(1) logs will follow)

The output of »portlint -AC« with comments:
------------------------------------------------------------------------
> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
It is not a new port.

> WARN: Makefile: Consider defining LICENSE.
Well: difficult: see his file »copyright«. I do not know what to enter in
the Makefile.

> 0 fatal errors and 2 warnings found.
------------------------------------------------------------------------

Thanks to the one taking this.
 Kalten
Comment 1 Kalten 2014-09-10 21:06:44 UTC
Created attachment 147200 [details]
log: make.* output

setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package
Comment 2 Kalten 2014-09-10 21:07:13 UTC
Created attachment 147201 [details]
log: poudriere testport output
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2014-09-17 20:48:35 UTC
Patch looks good, moving to Patch Ready.
Comment 4 commit-hook freebsd_committer 2014-09-20 16:51:33 UTC
A commit references this bug:

Author: pawel
Date: Sat Sep 20 16:50:32 UTC 2014
New revision: 368663
URL: http://svnweb.freebsd.org/changeset/ports/368663

Log:
  - Update to version 4.8T
  - Add DOCS option

  PR:		ports/193544
  Submitted by:	maintainer

Changes:
  head/games/fairymax/Makefile
  head/games/fairymax/distinfo
  head/games/fairymax/pkg-descr